Skip to main content
Version: SDK-5.9.6

Android 빌드 에러

FirebaseMessaging.unitypackage와 dependencies 충돌이 발생할 경우

안드로이드용 푸시를 이용하기위해 FirebaseMessaging.unitypackage를 임포트 후 빌드를 하게 될 경우, 플러그인의 충돌이 발생할 수 있습니다.

충돌이 발생할 경우, Assets/Plugins/Android에 존재하는 BackendFBDuplicate 폴더를 삭제해주세요.

defined multiple times 에러가 발생할 경우

빌드 실패 이후, 플러그인을 수정하여 다시 빌드할 경우 다음과 같은 에러가 발생할 수 있습니다.

해당 경우, 해당 프로젝트 내에 있는 Temp 폴더를 제거한 뒤 다시 빌드를 시도해주시기 바랍니다.